Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.factories
Class InboundEndpointFactoryBean

    java.lang.Object
      org.mule.endpoint.AbstractEndpointBuilder
          org.mule.endpoint.EndpointURIEndpointBuilder
              org.mule.config.spring.factories.AbstractEndpointFactoryBean
                  org.mule.config.spring.factories.InboundEndpointFactoryBean

All Implemented Interfaces:
  Cloneable, MuleContextAware, EndpointBuilder, Initialisable, org.springframework.beans.factory.FactoryBean

    public class InboundEndpointFactoryBean

extends AbstractEndpointFactoryBean

Spring FactoryBean used to create concrete instances of inbound endpoints

Field Summary

Fields inherited from class org.mule.config.spring.factories.AbstractEndpointFactoryBean
`logger`

Fields inherited from class org.mule.endpoint.AbstractEndpointBuilder
`connector, createConnector, deleteUnacceptedMessages, disableTransportTransformer, encoding, initialState, messageExchangePattern, messageProcessors, messageProcessorsFactory, mimeType, muleContext, name, properties, PROPERTY_RESPONSE_PROPERTIES, PROPERTY_RESPONSE_TIMEOUT, registryId, responseMessageProcessors, responsePropertiesList, responseTimeout, responseTransformers, retryPolicyTemplate, synchronous, transactionConfig, transformers, uriBuilder`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`InboundEndpointFactoryBean()`
`InboundEndpointFactoryBean(EndpointURIEndpointBuilder global)`

Method Summary
`Object` | `doGetObject()`
`Class` | `getObjectType()`

Methods inherited from class org.mule.config.spring.factories.AbstractEndpointFactoryBean
`getObject, initialise, isSingleton`

Methods inherited from class org.mule.endpoint.AbstractEndpointBuilder
`addMessageProcessor, addResponseMessageProcessor, addResponseTransformer, addResponseTransformers, addResponseTransformersFromUri, addTransformer, addTransformers, addTransformersFromUri, buildInboundEndpoint, buildOutboundEndpoint, checkInboundExchangePattern, clone, doBuildInboundEndpoint, doBuildOutboundEndpoint, equal, equals, getConnector, getDefaultConnector, getDefaultDeleteUnacceptedMessages, getDefaultDisableTransportTransformer, getDefaultEndpointEncoding, getDefaultInitialState, getDefaultMessageProcessorsFactory, getDefaultResponseTimeout, getDefaultSecurityFilter, getDefaultTransactionConfig, getDeleteUnacceptedMessages, getEndpointBuilder, getEndpointEncoding, getInitialState, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getName, getProperties, getResponseMessageProcessors, getResponseTimeout, getRetryPolicyTemplate, getScheme, getSecurityFilter, getTransactionConfig, hashCode, initExchangePatternFromConnectorDefault, isAlwaysCreateConnector, isDisableTransportTransformer, prepareToBuildEndpoint, setConnector, setCreateConnector, setDeleteUnacceptedMessages, setDisableTransportTransformer, setEncoding, setExchangePattern, setInitialState, setMessageProcessors, setMimeType, setMuleContext, setName, setProperties, setPropertiesFromProperties, setProperty, setRegistryId, setResponseMessageProcessors, setResponseTimeout, setResponseTransformers, setRetryPolicyTemplate, setTransactionConfig, setTransformers, setURIBuilder`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InboundEndpointFactoryBean

    public InboundEndpointFactoryBean(EndpointURIEndpointBuilder global)
                               throws EndpointException

Throws:
  `EndpointException`

### InboundEndpointFactoryBean

    public InboundEndpointFactoryBean()

Method Detail

### getObjectType

    public Class getObjectType()

### doGetObject

    public Object doGetObject()
                       throws Exception

  Specified by:
    `doGetObject` in class `AbstractEndpointFactoryBean`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.